{ pkgs, ... }:
{
    # Service discovery
    services.avahi = {
        enable = true;
        nssmdns4 = true;
        openFirewall = true;
    };

    # CUPS
    services.printing = {
        enable = true;
    };

    # Printer configuration
    hardware.printers = {
        ensurePrinters = [
            {
                name = "DJ_pier*****a_drukarka_HP";
                location = "piekło";
                # deviceUri = "dnssd://HP%20Ink%20Tank%20Wireless%20410%20series%20%5BDD2297%5D._ipp._tcp.local/?uuid=1c852a4d-b800-1f08-abcd-84a93edd2297";
                deviceUri = "ipp://192.168.100.20:631/ipp/print";
                model = "everywhere";
                ppdOptions = {
                    PageSize = "A4";
                };
            }
        ];
        ensureDefaultPrinter = "DJ_pier*****a_drukarka_HP";
    };

    environment.systemPackages = with pkgs; [
        simple-scan
    ];
}